#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QPixmap>
#include <QPointF>

QT_BEGIN_NAMESPACE
namespace Ui { class MainWindow; }
QT_END_NAMESPACE

class MainWindow : public QMainWindow {
	Q_OBJECT

public:
	MainWindow(QWidget* parent = nullptr);
	~MainWindow();

signals:
	void angleUpdated(double newAngle);
	void newImage(QPixmap map);
	void reset();

public slots:
	void setForce(QPointF force);

private:
	Ui::MainWindow* ui;
};

#endif // MAINWINDOW_H
